> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a budget-to-budget transfer

> Transfer money from one budget to another budget.



## OpenAPI

````yaml /autogenerated/openapi/budgets.openapi.json post /budgets/{budgetId}/transfer
openapi: 3.1.0
info:
  title: Budgets API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /budgets/{budgetId}/transfer:
    post:
      tags:
        - Payments
      summary: Create a budget-to-budget transfer
      description: Transfer money from one budget to another budget.
      operationId: transfer
      parameters:
        - name: budgetId
          in: path
          required: true
          schema:
            type:
              - string
            format: uuid
            maxLength: 36
            description: The ID of the budget to work with.
            example: 775596ae-2624-40af-a9dc-9756110a4a03
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                destinationBudgetId:
                  type:
                    - string
                  format: uuid
                  maxLength: 36
                  description: The ID of the budget to work with.
                  example: 775596ae-2624-40af-a9dc-9756110a4a03
                currency:
                  type:
                    - string
                  enum:
                    - AED
                    - AFN
                    - ALL
                    - AMD
                    - ANG
                    - AOA
                    - ARS
                    - AUD
                    - AWG
                    - AZN
                    - BAM
                    - BBD
                    - BDT
                    - BHD
                    - BIF
                    - BMD
                    - BND
                    - BOB
                    - BOV
                    - BRL
                    - BSD
                    - BTN
                    - BWP
                    - BYN
                    - BZD
                    - CAD
                    - CDF
                    - CHF
                    - CLP
                    - CNY
                    - COP
                    - CRC
                    - CUC
                    - CUP
                    - CVE
                    - CZK
                    - DJF
                    - DKK
                    - DOP
                    - DZD
                    - EGP
                    - ERN
                    - ETB
                    - EUR
                    - FJD
                    - FKP
                    - GBP
                    - GEL
                    - GGP
                    - GHS
                    - GIP
                    - GMD
                    - GNF
                    - GTQ
                    - GYD
                    - HKD
                    - HNL
                    - HRK
                    - HTG
                    - HUF
                    - IDR
                    - ILS
                    - INR
                    - IQD
                    - IRR
                    - ISK
                    - JMD
                    - JOD
                    - JPY
                    - KES
                    - KGS
                    - KHR
                    - KMF
                    - KPW
                    - KRW
                    - KWD
                    - KYD
                    - KZT
                    - LAK
                    - LBP
                    - LKR
                    - LRD
                    - LSL
                    - LTL
                    - LVL
                    - LYD
                    - MAD
                    - MDL
                    - MGA
                    - MKD
                    - MMK
                    - MNT
                    - MOP
                    - MUR
                    - MVR
                    - MWK
                    - MXN
                    - MYR
                    - MZN
                    - NAD
                    - NGN
                    - NIO
                    - NOK
                    - NPR
                    - NZD
                    - OMR
                    - PAB
                    - PEN
                    - PGK
                    - PHP
                    - PKR
                    - PLN
                    - PYG
                    - QAR
                    - RON
                    - RSD
                    - RUB
                    - RWF
                    - SAR
                    - SBD
                    - SCR
                    - SEK
                    - SGD
                    - SHN
                    - SLL
                    - SOS
                    - SRD
                    - SSP
                    - STN
                    - SYP
                    - SZL
                    - THB
                    - TJS
                    - TMT
                    - TND
                    - TOP
                    - TRY
                    - TTD
                    - TWD
                    - TZS
                    - UAH
                    - UGX
                    - USD
                    - UYU
                    - UZS
                    - VND
                    - VUV
                    - WST
                    - XAF
                    - XAG
                    - XAU
                    - XCD
                    - XOF
                    - XPD
                    - XPF
                    - XPT
                    - YER
                    - ZAR
                    - ZMK
                    - ZMW
                    - ZWD
                  example: USD
                amount:
                  type:
                    - string
                  description: The amount to be transferred.
                reference:
                  type:
                    - string
                  pattern: ^[ A-Za-z0-9-,./:?()]{1,18}$
                  description: A reference for the transfer.
                  example: Personal allowance
              required:
                - destinationBudgetId
                - currency
                - amount
              example:
                destinationBudgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                currency: USD
                amount: string
                reference: Personal allowance
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  success:
                    type:
                      - boolean
                    description: Whether or not the transfer was successful.
                    example: true
                  debitBoxTransactionId:
                    type:
                      - number
                    description: >-
                      The unique identifer of the box debited transaction. This
                      ID will be persisted in the ```BoxDebited``` webhook.
                    example: '179032'
                  creditBoxTransactionId:
                    type:
                      - number
                    description: >-
                      The unique identifer of the box credited transaction. This
                      ID will be persisted in the ```BoxCredited``` webhook.
                    example: '179033'
                required:
                  - success
                example:
                  success: true
                  debitBoxTransactionId: '179032'
                  creditBoxTransactionId: '179033'
      security:
        - CommonAuth:
            - transfer:create:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/budgets/{budgetId}/transfer?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "destinationBudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
              "currency": "USD",
              "amount": "string",
              "reference": "Personal allowance"
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````